Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Dlamch

    java.lang.Object
      org.netlib.lapack.Dlamch

    public class Dlamch

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLAMCH determines double precision machine parameters.
     *
     *  Arguments
     *  =========
     *
     *  CMACH   (input) CHARACTER*1
     *          Specifies the value to be returned by DLAMCH:
     *          = 'E' or 'e',   DLAMCH := eps
     *          = 'S' or 's ,   DLAMCH := sfmin
     *          = 'B' or 'b',   DLAMCH := base
     *          = 'P' or 'p',   DLAMCH := eps*base
     *          = 'N' or 'n',   DLAMCH := t
     *          = 'R' or 'r',   DLAMCH := rnd
     *          = 'M' or 'm',   DLAMCH := emin
     *          = 'U' or 'u',   DLAMCH := rmin
     *          = 'L' or 'l',   DLAMCH := emax
     *          = 'O' or 'o',   DLAMCH := rmax
     *
     *          where
     *
     *          eps   = relative machine precision
     *          sfmin = safe minimum, such that 1/sfmin does not overflow
     *          base  = base of the machine
     *          prec  = eps*base
     *          t     = number of (base) digits in the mantissa
     *          rnd   = 1.0 when rounding occurs in addition, 0.0 otherwise
     *          emin  = minimum exponent before (gradual) underflow
     *          rmin  = underflow threshold - base**(emin-1)
     *          emax  = largest exponent before overflow
     *          rmax  = overflow threshold  - (base**emax)*(1-eps)
     *
     * =====================================================================

     *
     *     .. Parameters ..

Field Summary
`static double` | `base`
`static double` | `emax`
`static double` | `emin`
`static doubleW` | `eps`
`static boolean` | `first`
`static double` | `prec`
`static doubleW` | `rmax`
`static doubleW` | `rmin`
`static double` | `rnd`
`static double` | `sfmin`
`static double` | `t`

Constructor Summary
`Dlamch()`

Method Summary
`static double` | `dlamch(java.lang.String cmach)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### base

    public static double base

### emax

    public static double emax

### emin

    public static double emin

### eps

    public static doubleW eps

### prec

    public static double prec

### rmax

    public static doubleW rmax

### rmin

    public static doubleW rmin

### rnd

    public static double rnd

### sfmin

    public static double sfmin

### t

    public static double t

### first

    public static boolean first

Constructor Detail

### Dlamch

    public Dlamch()

Method Detail

### dlamch

    public static double dlamch(java.lang.String cmach)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD